Bug 101545 - libbsd 0.8.4 move of man pages to section 3bsd incomplete?
Summary: libbsd 0.8.4 move of man pages to section 3bsd incomplete?
Status: RESOLVED FIXED
Alias: None
Product: libbsd
Classification: Unclassified
Component: libbsd (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Guillem Jover
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-21 18:15 UTC by Sebastian Pipping
Modified: 2017-06-24 15:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Pipping 2017-06-21 18:15:38 UTC
Hi!


I noticed that f20e6972b3a5ef4d1bfa2e3b2577caa3f9e357fc moved man pages from section 3 to section 3bsd (which is cool, because there we collisions previously, e.g. [1]).
I wonder if the installation directory should still be /usr/share/man/man3 (rather than /usr/share/man/man3bsd) but latter did not make my man find the man page out of the box any more (while former still does, despite file ending .3bsd(.bz2)).  Also inside the man page, the header still says section 3, e.g. "HUMANIZE_NUMBER(3)".  I would expect "HUMANIZE_NUMBER(3bsd)" here from a user point of view.  I'm curious about what can and should change and what should not.

Best



Sebastian


[1] https://bugs.gentoo.org/show_bug.cgi?id=617462
Comment 1 Guillem Jover 2017-06-22 03:09:14 UTC
Hi!

Yeah we had similar collisions in Debian, so this was the most future-proof way to go about. :)

The directory is fine as it is, you might also have things like «.3perl» and similar in your distribution already. The suffix extension is standard man practice, it should be documented in man(1) (at least for man-db :).

Regarding the section number inside the man, I considered changing that, but discarded it because it might make people use such links which might not be portable. OTOH I also considered that not doing so was in a way not completely correct. So I'm a bit undecided on this. Will ponder about it a bit and let you know.
Comment 2 Guillem Jover 2017-06-24 15:32:05 UTC
This should now be fixed in libbsd 0.8.5. Closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.